hbase-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "stack (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HBASE-18787) Fix the "dependencies connecting to an HBase cluster"
Date Tue, 12 Sep 2017 17:56:00 GMT

    [ https://issues.apache.org/jira/browse/HBASE-18787?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16163367#comment-16163367
] 

stack commented on HBASE-18787:
-------------------------------

I've not tried it. It this all you need? Should we use this opportunity to push shaded client?


https://docs.google.com/document/d/1WCsVlnHjJeKUcl7wHwqb4z9iEu_ktczrlKHK8N4SZzs/edit#heading=h.3xphify4pgic

Thanks [~chia7712]

> Fix the "dependencies connecting to an HBase cluster"
> -----------------------------------------------------
>
>                 Key: HBASE-18787
>                 URL: https://issues.apache.org/jira/browse/HBASE-18787
>             Project: HBase
>          Issue Type: Bug
>          Components: documentation
>            Reporter: Chia-Ping Tsai
>            Assignee: Chia-Ping Tsai
>            Priority: Minor
>             Fix For: 2.0.0-alpha-3
>
>         Attachments: HBASE-18787.v0.patch
>
>
> {code}
> Minimally, an HBase client needs several libraries in its CLASSPATH when connecting to
a cluster, including:
> commons-configuration (commons-configuration-1.6.jar)
> commons-lang3 (commons-lang3-3.6.jar)
> commons-logging (commons-logging-1.1.1.jar)
> hadoop-core (hadoop-core-1.0.0.jar)
> hbase (hbase-0.92.0.jar)
> log4j (log4j-1.2.16.jar)
> slf4j-api (slf4j-api-1.5.8.jar)
> slf4j-log4j (slf4j-log4j12-1.5.8.jar)
> zookeeper (zookeeper-3.4.2.jar)
> {code}
> The libraries listed in our docs are stale. Also, it may be better to say "*Minimally,
an HBase client needs hbase-client module in its dependencies when connecting to a cluster*"
rather than "*Minimally, an HBase client needs several libraries in its CLASSPATH when connecting
to a cluster, including:*". I don't think newbie want to add all dependencies manually.



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message